Upstream information

CVE-2018-20319 at MITRE

Description

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem. When the candidate has been publicized, the details for this candidate will be provided.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v3 Scores
  SUSE
Base Score 2.3
Vector CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:N
Attack Vector Local
Attack Complexity Low
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1215669 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
SUSE Linux Enterprise Workstation Extension 15 SP5
  • libopenconnect5 >= 9.12-150400.15.3.1
  • openconnect >= 9.12-150400.15.3.1
  • openconnect-devel >= 9.12-150400.15.3.1
  • openconnect-lang >= 9.12-150400.15.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP5-2024-317
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
SUSE Linux Enterprise Workstation Extension 15 SP6
  • libopenconnect5 >= 9.12-150400.15.3.1
  • openconnect >= 9.12-150400.15.3.1
  • openconnect-devel >= 9.12-150400.15.3.1
  • openconnect-lang >= 9.12-150400.15.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP6 GA oath-toolkit-2.6.2-150000.3.5.1
SUSE Linux Enterprise Workstation Extension 15 SP6 GA openconnect-9.12-150400.15.3.1
SUSE Linux Enterprise Workstation Extension 15 SP6 GA stoken-0.81-150400.13.2.1
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • libopenconnect5 >= 9.12-150400.15.3.1
  • openconnect >= 9.12-150400.15.3.1
  • openconnect-devel >= 9.12-150400.15.3.1
  • openconnect-doc >= 9.12-150400.15.3.1
  • openconnect-lang >= 9.12-150400.15.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2024-317
SUSE Linux Enterprise Module for Package Hub 15 SP6
  • openconnect >= 9.12-150400.15.3.1
  • openconnect-devel >= 9.12-150400.15.3.1
  • openconnect-doc >= 9.12-150400.15.3.1
  • openconnect-lang >= 9.12-150400.15.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP6 GA oath-toolkit-2.6.2-150000.3.5.1
SUSE Linux Enterprise Module for Package Hub 15 SP6 GA openconnect-9.12-150400.15.3.1
SUSE Linux Enterprise Module for Package Hub 15 SP6 GA stoken-0.81-150400.13.2.1
openSUSE Leap 15.5
  • libopenconnect5 >= 9.12-150400.15.3.1
  • openconnect >= 9.12-150400.15.3.1
  • openconnect-devel >= 9.12-150400.15.3.1
  • openconnect-doc >= 9.12-150400.15.3.1
  • openconnect-lang >= 9.12-150400.15.3.1
Patchnames:
openSUSE-SLE-15.5-2024-317
openSUSE Tumbleweed
  • libopenconnect5 >= 8.10-2.6
  • openconnect >= 8.10-2.6
  • openconnect-bash-completion >= 8.10-2.6
  • openconnect-devel >= 8.10-2.6
  • openconnect-doc >= 8.10-2.6
  • openconnect-lang >= 8.10-2.6
Patchnames:
openSUSE-Tumbleweed-2024-11114


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 openconnect Released
SUSE Linux Enterprise Desktop 15 SP6 openconnect Released
SUSE Linux Enterprise Module for Package Hub 15 SP5 openconnect Released
SUSE Linux Enterprise Module for Package Hub 15 SP6 openconnect Released
SUSE Linux Enterprise Server 12 SP5 openconnect Affected
SUSE Linux Enterprise Server 15 SP5 openconnect Released
SUSE Linux Enterprise Server 15 SP6 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 openconnect Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 openconnect Released
SUSE Linux Enterprise Workstation Extension 12 SP5 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP5 openconnect Released
SUSE Linux Enterprise Workstation Extension 15 SP6 openconnect Released
openSUSE Leap 15.5 openconnect Released
openSUSE Leap 15.6 openconnect Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 openconnect Affected
SUSE Linux Enterprise Server 15 SP2 openconnect Affected
SUSE Linux Enterprise Server 15 SP3 openconnect Affected
SUSE Linux Enterprise Server 15 SP4 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 openconnect Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 SP4 openconnect Affected
SUSE Linux Enterprise Desktop 15 openconnect Affected
SUSE Linux Enterprise Desktop 15 SP1 openconnect Affected
SUSE Linux Enterprise Desktop 15 SP2 openconnect Affected
SUSE Linux Enterprise Desktop 15 SP3 openconnect Affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 openconnect Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 openconnect Affected
SUSE Linux Enterprise Server 12 SP4 openconnect Affected
SUSE Linux Enterprise Server 15 openconnect Affected
SUSE Linux Enterprise Server 15 SP1 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 openconnect Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 openconnect Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP3 openconnect Affected
SUSE Linux Enterprise Workstation Extension 15 SP4 openconnect Affected
openSUSE Leap 15.3 openconnect Affected
openSUSE Leap 15.4 openconnect Released


SUSE Timeline for this CVE

CVE page created: Fri Oct 7 12:49:33 2022
CVE page last modified: Tue Jul 2 18:14:06 2024